import { get, put, post, deletes } from '@/http/index'

// 查询换件记录列表
export const getPartReplacement = async (data) => {
  return await get('/als/partReplacement/list', data)
}

// 新增换件记录
export const addPartReplacement = async (data) => {
  return await post('/als/partReplacement', data)
}

// 修改换件记录
export const updatePartReplacement = async (data) => {
  return await put('/als/partReplacement', data)
}

// 删除换件记录
export const removePartReplacement = async (id) => {
  return await deletes('/als/partReplacement/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
